/*
 * Copyright (c) 2000 Southeastern Universities Research Association,
 *                    Continuous Electron Beam Accelerator Facility
 *
 * This software was developed under a United States Government license
 * described in the NOTICE file included as part of this distribution.
 *
 * Revision History:
 *  05/07/00  Release version 0.3 (Initial version).
 *  08/07/00  Release version 0.4 (move to adm.event package)
 *
 */

package adm.event;

import java.util.*;

/**	
 * Directory event generated by CDirectory bean
 *
 * @version   0.3  05/17/00
 * @author    Ying Chen, Chip Watson
 *            
 * @since     adm0.3
 */
public class CDirectoryEvent extends EventObject {

    private int id;
    private String[] names;

    /**
     * Constructor 
     * 
     * @param source    event source
     * @param id        query type 
     * @param s         array of name string
     */
    public CDirectoryEvent (Object source, int id, String[] s) {
	super (source);
	this.id = id;
	names = s;
    }

    /**
     * Constructor 
     * 
     * @param source    event source
     * @param s         array of name string
     */
    public CDirectoryEvent (Object source, String[] s) {
	super (source);
	this.id = id;
	names = s;
    }

    /** 
     * return name string array
     */
    public String[] getNames () {
	return names;
    }

    /**
     * return the query type 
     */
    public int getQueryType () {
	return id;
    }

}
