//---------------------------------------------------------------------------
// Copyright (c) 2000 Southeastern Universities Research Association,
//                    Continuous Electron Beam Accelerator Facility
//
// This software was developed under a United States Government license
// described in the NOTICE file included as part of this distribution.
//---------------------------------------------------------------------------

import java.awt.*;
import adm.*;

public class StripChartDemo extends CApplication  {

    static int DEFAULT_PORT=9199;

    public static void main (String [] args) {
	
	int port = DEFAULT_PORT;
	String host = null;

	if (args.length == 2) {
	    host = args[0];
	    port = Integer.parseInt(args[1]);
	} else {
	    System.out.println("syntax: java SliderDemo host port");
	    System.exit(-1);
	}

	Frame f = new StripChartDemo(host, port);
	f.setSize(400, 300);
	f.show();
	
    }


    public StripChartDemo(String host, int port) {
	super(host, port, "test");

	CStripChart SC = new CStripChart();
	SC.setDisplayPeriod(500);
	SC.setRangeStyle(CConstants.RANGE_AUTO);
	SC.setLabelStyle(CConstants.LABEL_ALL);
	SC.addPen("R122", "GMES");
	SC.addPen("R123", "GMES");
	SC.addPen("R124", "GMES");
	SC.addPen("R125", "GMES", Color.blue, 5, 25);
	//SC.setSize(350, 250);
	add(SC);
	}

}

		
	




