// $Id: DeviceErrorArray.java,v 1.1.1.1 1999/05/27 17:54:18 watson Exp $
// (c) Copyright ...
//----------------------------------------------------------------------------
//
//  Description:
//      Device error refering to many sub device errors.
//
//  Authors: Franck Di Maio
//
//----------------------------------------------------------------------------

package cdev;

/**
 * This interface is implemented by the error classes that describe a composite error.
 * The I/O methods of device arrays can generate objets that implement this interface.
 * The methods defined in this interface provide access to components errors
 * that refer to the component devices of a device array.
 * @author Franck Di Maio
 * @version $Revision: 1.1.1.1 $
 * @since JDK1.1
 */

public interface DeviceErrorArray {
    /** Returns the number of component errors. */
    public int size();
    /** Returns the component errors. */
    public DeviceError[] getErrors();
}
