//  Description:
//      Java implementation of cdevDataEntry class.
//
//  Issues:
//	For java arrays, which is the "first" dimension? 
//
//  Author: Chip Watson
//  Modified: M.C

package cdev.data;

import java.text.NumberFormat;

class DoubleConvertor implements DataConvertor {
  DoubleConvertor () {}

  public byte byteValue(Object data) {return (byte)((double [])data)[0];}
  public short shortValue(Object data) {return (short)((double [])data)[0];}
  public int intValue(Object data) {return (int)((double [])data)[0];}
  public long longValue(Object data) {return (long)((double [])data)[0];}
  public float floatValue(Object data) {return (float)((double [])data)[0];}
  public double doubleValue(Object data) {return (double)((double [])data)[0];}
  public String stringValue(Object data) {
    NumberFormat nf = NumberFormat.getNumberInstance();
    nf.setMaximumFractionDigits(3);
    //System.out.println(nf);
    return nf.format(((double [])data)[0]);
  }


  public byte[] byteArray(Object data) {
    double [] source = (double []) data;
    byte [] result = new byte[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (byte) source[i];
    }
    return result;
  }

  public short[] shortArray(Object data) {
    double [] source = (double []) data;
    short [] result = new short[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (short) source[i];
    }
    return result;
  }

  public int[] intArray(Object data) {
    double [] source = (double []) data;
    int [] result = new int[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (int) source[i];
    }
    return result;
  }
  
  public long[] longArray(Object data) {
    double [] source = (double []) data;
    long [] result = new long[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (long) source[i];
    }
    return result;
  }

  public float[] floatArray(Object data) {
    double [] source = (double []) data;
    float [] result = new float[source.length];
    for (int i=0;i<result.length;i++) {
      result[i] = (float) source[i];
    }
    return result;
  }

  public double[] doubleArray(Object data) {return (double [])data;}
  
  public String[] stringArray(Object data) {
    double [] source = (double []) data;
    String [] result = new String[source.length];
    NumberFormat nf = NumberFormat.getNumberInstance();
    nf.setMaximumFractionDigits(6);
    for (int i=0;i<result.length;i++) {
      result[i] = nf.format(source[i]);
    }
    return result;
  }
}
