//-----------------------------------------------------------------------------
//
//  Description:
//      Interface class for cdev I/O Service.  This is the interface
//      between the re-usable parts of the cdev implementation and
//      a particular control system.
//
//  Author: Chip Watson
//
//-----------------------------------------------------------------------------
// Revision History:
//
// 11-Aug-98  CW Prototype version
//  7-Dec-98  CW Added throws clauses
//  8-Apr-99  M.C moved interface from package cdev to package cdev.io
//-----------------------------------------------------------------------------

package cdev.io;

import cdev.*;
import java.io.*;

public interface IOService {

  public void post (DeviceTransaction dt) throws IOException;

  public void flush () throws IOException;

  public void cancel (DeviceTransaction dt) throws IOException;

  // routines for connection control

  public void connect (String host, int port) throws Exception;
  public void disconnect ();
  public void reconnect () throws Exception;
  public boolean isConnected ();
  public String getHostName ();
  public int getPort ();
}

  
